package com.huiju.estateagents.redpack.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.redpack.entity.TaOrgAccount;
import com.huiju.estateagents.sample.entity.TaContact;

import java.util.List;

/**
 * <p>
 * 系统账户表  服务类
 * </p>
 *
 * @author fxf
 * @since 2020-06-03
 */
public interface ITaOrgAccountService extends IService<TaOrgAccount> {
    /**
     * 账户充值接口
     *
     * @param accountId
     * @param taOrgAccount
     * @param orgId
     * @return
     */
    ResponseBean rechargeAccount(String accountId, TaOrgAccount taOrgAccount, Integer orgId, Integer userId);

    /**
     * 账户退费接口
     *
     * @param accountId
     * @param taOrgAccount
     * @param orgId
     * @param userId
     * @return
     */
    ResponseBean refundAccount(String accountId, TaOrgAccount taOrgAccount, Integer orgId, Integer userId);

    /**
     * 账户详情接口
     *
     * @param orgId
     * @return
     */
    TaOrgAccount getOrgAccountById(Integer orgId);

    /**
     * 根据orgId获取账户信息
     *
     * @param orgId
     * @return
     */
    ResponseBean getOrgAccountInfoByOrgId(Integer orgId);

    String sendSmsMessage(String tel, String type, String[] params);

    List<TaContact> selectSmsContactUser();
}
