package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TpNewsType;
import com.huiju.estateagents.entity.TaPersonBuilding;
import com.huiju.estateagents.entity.TpNewsType;

import java.util.List;

/**
 * <p>
 * 资讯类型表  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-07-25
 */
public interface ITpNewsTypeService extends IService<TpNewsType> {

    /**
     * 查询资讯类型列表
     * @param pageNum
     * @param pageSize
     * @param buildingId
     * @param orgId
     * @return
     */
    ResponseBean getList(Integer pageNum, Integer pageSize, String buildingId, Integer orgId, List<TaPersonBuilding> personBuildingList);

    /**
     * 根据Id查询资讯类型数据
     * @param newsTypeId
     * @return
     */
    ResponseBean getTpNewsTypeById(Integer newsTypeId);

    /**
     * 修改资讯类型数据
     * @param TpNewsType
     * @return
     */
    ResponseBean updateTpNewsType(TpNewsType TpNewsType);

    /**
     * add资讯类型数据
     * @param TpNewsType
     * @return
     */
    ResponseBean addTpNewsType(TpNewsType TpNewsType, Integer orgId);

    /**
     * 删除资讯类型
     * @param newsTypeId
     * @return
     */
    ResponseBean deleteTpNewsType(Integer newsTypeId);

}
